RatioSnpSet-class {SNPchip} | R Documentation

## Class for high throughput SNP-level data. The assay data contains ratios of copy number.

### Description

Container for high throughput SNP data for platforms that provide ratios as SNP-level summaries of copy number

### Objects from the Class

Objects can be created by calls of the form `new("RatioSnpSet", calls, callsConfidence, ratio, ratioConfidence, ...)`.

### Slots

`assayData`:
  Object of class `"AssayData"`
`phenoData`:
  Object of class `"AnnotatedDataFrame"`
`featureData`:
  Object of class `"AnnotatedDataFrame"`
`experimentData`:
  Object of class `"MIAME"`
`annotation`:
  Object of class `"character"`
`.__classVersion__`:
  Object of class `"Versions"`

### Extends

Class `SnpLevelSet`, directly. Class `eSet`, by class "SnpLevelSet", distance 2. Class `VersionedBiobase`, by class "SnpLevelSet", distance 3. Class `Versioned`, by class "SnpLevelSet", distance 4.

### Methods

cnConfidence
  `signature(object = "RatioSnpSet")`: Accessor for confidence scores for the ratios
cnConfidence<-
  `signature(object = "RatioSnpSet", value = "matrix")`: Replacement method for ratio confidence scores
copyNumber
  `signature(object = "RatioSnpSet")`: Accessor for ratios. See also `ratio`.
copyNumber<-
  `signature(object = "RatioSnpSet", value = "matrix")`: Replacement method for ratios.
initialize
  `signature(.Object = "RatioSnpSet")`
ratioConfidence
  `signature(object = "RatioSnpSet")`: Accessor for confidence scores of the ratios. See also `cnConfidence`.

### Author(s)

RS

### See Also

`RatioSnpSet-methods`

### Examples

    showClass("RatioSnpSet")

[Package SNPchip version 1.8.0 Index]